Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ValueBase Class Reference

Abstract baseclass for Valuetypes (see CORBA 2.3 20.17.5). More...

`#include <ValueBase.h>`

Inheritance diagram for CORBA_ValueBase:

[legend]
List of all members.

## Public Methods
virtual void | _add_ref (void)=0
| %! virtual CORBA::ValueBase* _copy_value (void) = 0;. More...
virtual void | _remove_ref (void)=0
virtual CORBA::ULong | _refcount_value (void)=0
virtual const char * | _tao_obv_repository_id () const=0
| TAO extension. More...
CORBA::Boolean | _tao_unmarshal_post (TAO_InputCDR &strm)
virtual void * | _tao_obv_narrow (ptr_arith_t)=0
virtual CORBA::Boolean | _tao_marshal_v (TAO_OutputCDR &)=0
| during marshal jump to the most derived part. More...
virtual CORBA::Boolean | _tao_unmarshal_v (TAO_InputCDR &)=0
| called after obtaining the fresh object from create_for_unmarshal (). More...
## Static Public Methods
CORBA::ValueBase * | _downcast (CORBA::ValueBase *)
CORBA::Boolean | _tao_marshal (TAO_OutputCDR &strm, CORBA_ValueBase *_this, ptr_arith_t formal_type_id=0)
| Marshal a valuetype (see operator<< in tao_idl generated file how it is called). More...
CORBA::Boolean | _tao_unmarshal (TAO_InputCDR &strm, CORBA_ValueBase *&_this)
| Unmarshal a valuetype, if formal type is a pointer to ValueBase. More...
CORBA::Boolean | _tao_unmarshal_pre (TAO_InputCDR &strm, CORBA_ValueFactory_ptr &, CORBA_ValueBase *&, const char *const repo_id)
| Both used internally and are called from T::_tao_unmarshal (). More...
## Protected Methods
| CORBA_ValueBase (void)
| CORBA_ValueBase (const CORBA_ValueBase &)
virtual | ~CORBA_ValueBase ()
## Private Methods
void | operator= (const CORBA_ValueBase &)

## Detailed Description

Abstract baseclass for Valuetypes (see CORBA 2.3 20.17.5).

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ValueBase::CORBA_ValueBase | ( | void |  | ) | `[protected]`

CORBA_ValueBase::CORBA_ValueBase | ( | const CORBA_ValueBase & |  | ) | `[protected]`

CORBA_ValueBase::~CORBA_ValueBase | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void CORBA_ValueBase::_add_ref | ( | void |  | ) | `[pure virtual]`

| %! virtual CORBA::ValueBase* _copy_value (void) = 0;. Reimplemented in CORBA_DefaultValueRefCountBase.

CORBA::ValueBase* CORBA_ValueBase::_downcast | ( | CORBA::ValueBase * |  | ) | `[static]`

virtual CORBA::ULong CORBA_ValueBase::_refcount_value | ( | void |  | ) | `[pure virtual]`

| Reimplemented in CORBA_DefaultValueRefCountBase.

virtual void CORBA_ValueBase::_remove_ref | ( | void |  | ) | `[pure virtual]`

| Reimplemented in CORBA_DefaultValueRefCountBase.

CORBA::Boolean CORBA_ValueBase::_tao_marshal | ( | TAO_OutputCDR & | strm,
|  | CORBA_ValueBase * | this_,
|  | ptr_arith_t | formal_type_id = 0
| ) | `[static]`

| Marshal a valuetype (see operator<< in tao_idl generated file how it is called).

virtual CORBA::Boolean CORBA_ValueBase::_tao_marshal_v | ( | TAO_OutputCDR & |  | ) | `[pure virtual]`

| during marshal jump to the most derived part.

virtual void* CORBA_ValueBase::_tao_obv_narrow | ( | ptr_arith_t |  | ) | `[pure virtual]`

virtual const char* CORBA_ValueBase::_tao_obv_repository_id | ( |  | ) | const`[pure virtual]`

| TAO extension.

CORBA::Boolean CORBA_ValueBase::_tao_unmarshal | ( | TAO_InputCDR & | strm,
|  | CORBA_ValueBase *& | _this
| ) | `[static]`

| Unmarshal a valuetype, if formal type is a pointer to ValueBase.

CORBA::Boolean CORBA_ValueBase::_tao_unmarshal_post | ( | TAO_InputCDR & | strm | ) |

CORBA::Boolean CORBA_ValueBase::_tao_unmarshal_pre | ( | TAO_InputCDR & | strm,
|  | CORBA_ValueFactory_ptr & | factory,
|  | CORBA_ValueBase *& | valuetype,
|  | const char *const | repo_id
| ) | `[static]`

| Both used internally and are called from T::_tao_unmarshal ().

virtual CORBA::Boolean CORBA_ValueBase::_tao_unmarshal_v | ( | TAO_InputCDR & |  | ) | `[pure virtual]`

| called after obtaining the fresh object from create_for_unmarshal ().

void CORBA_ValueBase::operator= | ( | const CORBA_ValueBase & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- ValueBase.h
- ValueBase.cpp
- ValueBase.i